<?php
  
ECHO "<div class='navi'>";
ECHO "<a href='?'>".ICONS('home', 25)."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=system'>".LG('Настройки системы')."</a> ";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Интервал выполнения запросов')."";
ECHO "</div>";

IF (POST('ok')){
  
  $db_interval = INTVAL(POST('db_interval'));
  
  INI::UPGRADE(ROOT.'/system/config/global/settings.ini', 'DB_INTERVAL', $db_interval);
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('?path=system&section=db_filter');

}

ECHO "<div class='fon'>";

ECHO "<form method='post'>";

ECHO "<b>".LG('Через сколько секунд можно добавлять сообщения, ставить лайки и т.д.').":</b><br />";
ECHO "<select name='db_interval' class='form-control-select'>";

ECHO "<option value='1' ".(CONFIG('DB_INTERVAL') == 1?" selected='selected'" : NULL).">1 ".LG('сек.')."</option>";
ECHO "<option value='2' ".(CONFIG('DB_INTERVAL') == 2?" selected='selected'" : NULL).">2 ".LG('сек.')."</option>";
ECHO "<option value='3' ".(CONFIG('DB_INTERVAL') == 3?" selected='selected'" : NULL).">3 ".LG('сек.')."</option>";
ECHO "<option value='4' ".(CONFIG('DB_INTERVAL') == 4?" selected='selected'" : NULL).">4 ".LG('сек.')."</option>";
ECHO "<option value='5' ".(CONFIG('DB_INTERVAL') == 5?" selected='selected'" : NULL).">5 ".LG('сек.')."</option>";
ECHO "<option value='6' ".(CONFIG('DB_INTERVAL') == 6?" selected='selected'" : NULL).">6 ".LG('сек.')."</option>";
ECHO "<option value='7' ".(CONFIG('DB_INTERVAL') == 7?" selected='selected'" : NULL).">7 ".LG('сек.')."</option>";
ECHO "<option value='8' ".(CONFIG('DB_INTERVAL') == 8?" selected='selected'" : NULL).">8 ".LG('сек.')."</option>";
ECHO "<option value='9' ".(CONFIG('DB_INTERVAL') == 9?" selected='selected'" : NULL).">9 ".LG('сек.')."</option>";
ECHO "<option value='10' ".(CONFIG('DB_INTERVAL') == 10?" selected='selected'" : NULL).">10 ".LG('сек.')." (".LG('рекомендуется').")</option>";
ECHO "<option value='11' ".(CONFIG('DB_INTERVAL') == 11?" selected='selected'" : NULL).">11 ".LG('сек.')."</option>";
ECHO "<option value='12' ".(CONFIG('DB_INTERVAL') == 12?" selected='selected'" : NULL).">12 ".LG('сек.')."</option>";
ECHO "<option value='13' ".(CONFIG('DB_INTERVAL') == 13?" selected='selected'" : NULL).">13 ".LG('сек.')."</option>";
ECHO "<option value='14' ".(CONFIG('DB_INTERVAL') == 14?" selected='selected'" : NULL).">14 ".LG('сек.')."</option>";
ECHO "<option value='15' ".(CONFIG('DB_INTERVAL') == 15?" selected='selected'" : NULL).">15 ".LG('сек.')."</option>";
ECHO "<option value='16' ".(CONFIG('DB_INTERVAL') == 16?" selected='selected'" : NULL).">16 ".LG('сек.')."</option>";
ECHO "<option value='17' ".(CONFIG('DB_INTERVAL') == 17?" selected='selected'" : NULL).">17 ".LG('сек.')."</option>";
ECHO "<option value='18' ".(CONFIG('DB_INTERVAL') == 18?" selected='selected'" : NULL).">18 ".LG('сек.')."</option>";
ECHO "<option value='19' ".(CONFIG('DB_INTERVAL') == 19?" selected='selected'" : NULL).">19 ".LG('сек.')."</option>";
ECHO "<option value='20' ".(CONFIG('DB_INTERVAL') == 20?" selected='selected'" : NULL).">20 ".LG('сек.')."</option>";
ECHO "<option value='21' ".(CONFIG('DB_INTERVAL') == 21?" selected='selected'" : NULL).">21 ".LG('сек.')."</option>";
ECHO "<option value='22' ".(CONFIG('DB_INTERVAL') == 22?" selected='selected'" : NULL).">22 ".LG('сек.')."</option>";
ECHO "<option value='23' ".(CONFIG('DB_INTERVAL') == 23?" selected='selected'" : NULL).">23 ".LG('сек.')."</option>";
ECHO "<option value='24' ".(CONFIG('DB_INTERVAL') == 24?" selected='selected'" : NULL).">24 ".LG('сек.')."</option>";
ECHO "<option value='25' ".(CONFIG('DB_INTERVAL') == 25?" selected='selected'" : NULL).">25 ".LG('сек.')."</option>";
ECHO "<option value='26' ".(CONFIG('DB_INTERVAL') == 26?" selected='selected'" : NULL).">26 ".LG('сек.')."</option>";
ECHO "<option value='27' ".(CONFIG('DB_INTERVAL') == 27?" selected='selected'" : NULL).">27 ".LG('сек.')."</option>";
ECHO "<option value='28' ".(CONFIG('DB_INTERVAL') == 28?" selected='selected'" : NULL).">28 ".LG('сек.')."</option>";
ECHO "<option value='29' ".(CONFIG('DB_INTERVAL') == 29?" selected='selected'" : NULL).">29 ".LG('сек.')."</option>";
ECHO "<option value='30' ".(CONFIG('DB_INTERVAL') == 30?" selected='selected'" : NULL).">30 ".LG('сек.')."</option>";

ECHO "</select><br /><br />";

HTML::BUTTON('panel-button2', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";